## heat-dashboard 2.0.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=1.18.1 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4'  # BSD
reno>=2.5.0 # Apache-2.0
sphinxcontrib-httpdomain>=1.3.0 # BSD

=== debian/changelog ===
heat-dashboard (2.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 21:05:30 +0200

heat-dashboard (2.0.0~rc1-1) unstable; urgency=medium

  * New upstream release.
  * Add remove-unreliable-test.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Oct 2019 21:52:45 +0200

heat-dashboard (1.5.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Michal Arbet ]
  * Do not move files from source, copy it,
    kolla deployment expects that files are in /usr/lib...

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 15 Aug 2019 17:17:44 +0200

heat-dashboard (1.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed versions of packages when satisfied in Buster.
  * Fixed (build-)depends for this release.
  * Do not run integration tests.

 -- Thomas Goirand <zigo@debian.org>  Sun, 31 Mar 2019 21:21:39 +0200

=== debian/control ===
Source: heat-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 nodeenv,
 openstack-dashboard (>= 3:15.0.0~rc1),
 python3-heatclient,
 python3-mock,
 python3-openstack.nose-plugin,
 python3-selenium,
 python3-testtools,
 python3-xstatic-angular-uuid,
 python3-xstatic-angular-vis,
 python3-xstatic-filesaver,
 python3-xstatic-js-yaml,
 python3-xstatic-json2yaml,
 python3-xvfbwrapper,
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/openstack-team/services/heat-dashboard
Vcs-Git: https://salsa.debian.org/openstack-team/services/heat-dashboard.git
Homepage: https://github.com/stackforge/heat-dashboard

Package: python3-heat-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:15.0.0~rc1),
 python3-heatclient,
 python3-pbr,
 python3-xstatic-angular-uuid,
 python3-xstatic-angular-vis,
 python3-xstatic-filesaver,
 python3-xstatic-js-yaml,
 python3-xstatic-json2yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack orchestration service - dashboard plugin
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Move config files to standard location
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy

	# Copy policy file to openstack-dashboard policy location
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/heat_dashboard/conf/heat_policy.json $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy/heat_policy.json

	# Copy config enabled to openstack-dashboard enabled location
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/heat_dashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/

	# Copy local_settings.d to openstack-dashboard local_settings.d location
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/heat_dashboard/local_settings.d/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d/

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
			NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			python$$i $(CURDIR)/manage.py test heat_dashboard.test.tests -v 2 --settings=heat_dashboard.test.settings ; \
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

## heat-dashboard 2.0.2

=== debian/changelog ===
heat-dashboard (2.0.2-0ubuntu1~cloud0) bionic-train; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/train branch.

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Update with TLS and trailing slash.
  * New stable point release for OpenStack Train (LP: #1927974).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 21 May 2021 12:55:57 +0000

heat-dashboard (2.0.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 16 Oct 2019 17:58:21 +0100

=== debian/control ===
Source: heat-dashboard
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders:
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:15.0.0~),
 python3-coverage (>= 4.0),
 python3-django (>= 1:1.11),
 python3-django-horizon (>= 3:15.0.0~),
 python3-django-nose (>= 1.4.4),
 python3-doc8 (>= 0.6.0),
 python3-hacking (>= 1.1.0),
 python3-heatclient (>= 1.17.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-nose (>= 1.3.7),
 python3-nose-exclude (>= 0.3.0),
 python3-nosehtmloutput (>= 0.0.3),
 python3-nosexcover (>= 1.0.10),
 python3-openstack.nose-plugin (>= 0.7),
 python3-openstackdocstheme (>= 1.18.1),
 python3-reno (>= 2.5.0),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-testtools (>= 2.2.0),
 python3-xvfbwrapper (>= 0.1.3),
 subunit,
 testrepository,
Standards-Version: 4.1.4
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/heat-dashboard
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/heat-dashboard
Homepage: https://github.com/stackforge/heat-dashboard
Testsuite: autopkgtest-pkg-python

Package: python3-heat-dashboard
Architecture: all
Depends:
 heat-dashboard-common (= ${source:Version}),
 openstack-dashboard (>= 3:15.0.0~),
 python3-django (>= 1:1.11),
 python3-django-horizon (>= 3:15.0.0~),
 python3-heatclient (>= 1.17.0),
 python3-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 openstack-dashboard (<< 3:13.0.0-0ubuntu1~),
Replaces:
 openstack-dashboard (<< 3:13.0.0-0ubuntu1~),
Description: OpenStack orchestration service - Python 3 dashboard plugin
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python 3 OpenStack dashboard plugin.

Package: heat-dashboard-common
Architecture: all
Depends:
 ${misc:Depends},
Breaks:
 python-heat-dashboard (<< 1.2.0-0ubuntu3~),
 python3-heat-dashboard (<< 1.2.0-0ubuntu3~),
Replaces:
 python-heat-dashboard (<< 1.2.0-0ubuntu3~),
 python3-heat-dashboard (<< 1.2.0-0ubuntu3~),
Description: OpenStack orchestration service - Common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains common files.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/heat-dashboard/ heat-dashboard-(2\.\d.*)\.tar\.gz

## heat-dashboard 2.1.0~git2019121715.8defb43

=== doc/requirements.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
 # process, which may cause wedges in the gate later.
 
 openstackdocstheme>=1.18.1 # Apache-2.0
-sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
 sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4'  # BSD
 reno>=2.5.0 # Apache-2.0
 sphinxcontrib-httpdomain>=1.3.0 # BSD

=== debian/changelog ===
heat-dashboard (2.1.0~git2019121715.8defb43-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 17 Dec 2019 15:27:06 -0500

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,18 @@
 Uploaders:
  Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools (>= 85ubuntu3~),
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- openstack-dashboard (>= 3:15.0.0~),
+ openstack-dashboard (>= 3:17.0.0~),
  python3-coverage (>= 4.0),
  python3-django (>= 1:1.11),
- python3-django-horizon (>= 3:15.0.0~),
+ python3-django-horizon (>= 3:17.0.0~),
  python3-django-nose (>= 1.4.4),
  python3-doc8 (>= 0.6.0),
  python3-hacking (>= 1.1.0),
@@ -39,8 +36,8 @@
  subunit,
  testrepository,
 Standards-Version: 4.1.4
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/heat-dashboard
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/heat-dashboard
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/heat-dashboard
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/heat-dashboard
 Homepage: https://github.com/stackforge/heat-dashboard
 Testsuite: autopkgtest-pkg-python
 
@@ -48,9 +45,9 @@
 Architecture: all
 Depends:
  heat-dashboard-common (= ${source:Version}),
- openstack-dashboard (>= 3:15.0.0~),
+ openstack-dashboard (>= 3:17.0.0~),
  python3-django (>= 1:1.11),
- python3-django-horizon (>= 3:15.0.0~),
+ python3-django-horizon (>= 3:17.0.0~),
  python3-heatclient (>= 1.17.0),
  python3-pbr (>= 2.0.0),
  ${misc:Depends},

## heat-dashboard 2.1.0~git2020021314.7842190

=== debian/changelog ===
heat-dashboard (2.1.0~git2020021314.7842190-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/bundle-xstatic.sh: Switch to pip3.
  * d/p/skip-django224-tests.patch: Dropped. No longer needed.
  * d/p/embedded-xstatic.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Feb 2020 14:37:50 -0500

## heat-dashboard 2.1.0~git2020032615.7842190

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# Order matters to the pip dependency resolver, so sorting this file
# changes how packages are installed.  New dependencies should be
# added in alphabetical order, however, some dependencies may need to
# be installed in a specific order.
#
# PBR should always appear first
pbr!=2.1.0,>=2.0.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0

# This will be installed from git in OpenStack CI if the job setting
# required-projects for horizon:
horizon>=17.1.0 # Apache-2.0

xstatic-angular-uuid>=0.0.4.0 # MIT
xstatic-angular-vis>=4.16.0.0 # MIT
xstatic-filesaver>=1.3.2.0 # MIT
xstatic-js-yaml>=3.8.1.0 # MIT
xstatic-json2yaml>=0.1.1.0 # MIT

=== doc/requirements.txt ===
--- 
+++ 
@@ -6,3 +6,4 @@
 sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4'  # BSD
 reno>=2.5.0 # Apache-2.0
 sphinxcontrib-httpdomain>=1.3.0 # BSD
+sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
heat-dashboard (2.1.0~git2020032615.7842190-0ubuntu1) focal; urgency=medium

  [ James Page ]
  * New upstream snapshot for OpenStack Ussuri.

  [ Corey Bryant ]
  * d/python3-heat-dashboard.postinst: Align chown command with horizon package.
  * d/p/skip-failing-tests.patch: Skip failing ussuri tests until fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Mar 2020 10:37:21 -0400

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- openstack-dashboard (>= 3:17.0.0~),
+ openstack-dashboard (>= 3:18.0.0),
  python3-coverage (>= 4.0),
- python3-django (>= 1:1.11),
- python3-django-horizon (>= 3:17.0.0~),
+ python3-django (>= 2:2.2),
+ python3-django-horizon (>= 3:18.0.0),
  python3-django-nose (>= 1.4.4),
  python3-doc8 (>= 0.6.0),
  python3-hacking (>= 1.1.0),
@@ -45,9 +45,9 @@
 Architecture: all
 Depends:
  heat-dashboard-common (= ${source:Version}),
- openstack-dashboard (>= 3:17.0.0~),
- python3-django (>= 1:1.11),
- python3-django-horizon (>= 3:17.0.0~),
+ openstack-dashboard (>= 3:18.0.0),
+ python3-django (>= 2:2.2),
+ python3-django-horizon (>= 3:18.0.0),
  python3-heatclient (>= 1.17.0),
  python3-pbr (>= 2.0.0),
  ${misc:Depends},

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/heat-dashboard heat-dashboard-(2\.\d.*)\.tar\.gz

## heat-dashboard 3.0.0

=== debian/changelog ===
heat-dashboard (3.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 3.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 14:25:11 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/heat-dashboard heat-dashboard-(3\.\d.*)\.tar\.gz

## heat-dashboard 3.0.1

=== requirements.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 # This will be installed from git in OpenStack CI if the job setting
 # required-projects for horizon:
-horizon>=17.1.0 # Apache-2.0
+horizon>=18.3.1 # Apache-2.0
 
 xstatic-angular-uuid>=0.0.4.0 # MIT
 xstatic-angular-vis>=4.16.0.0 # MIT

=== debian/changelog ===
heat-dashboard (3.0.1-0ubuntu1) focal; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Add trailing slash to URL.
  * New stable point release for OpenStack Ussuri (LP: #1925419).
  * d/p/skip-failing-tests.patch, d/p/embedded-xstatic.patch: Refreshed.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 23 Apr 2021 14:30:50 +0000

heat-dashboard (3.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Scope to 3.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 14:25:11 -0400

=== debian/control ===
--- 
+++ 
@@ -36,8 +36,8 @@
  subunit,
  testrepository,
 Standards-Version: 4.1.4
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/heat-dashboard
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/heat-dashboard
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/heat-dashboard
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/heat-dashboard
 Homepage: https://github.com/stackforge/heat-dashboard
 Testsuite: autopkgtest-pkg-python

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=heat-dashboard

export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) \
		INTEGRATION_TESTS=0 \
		NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		DJANGO_SETTINGS_MODULE=heat_dashboard.test.settings \
		python3-coverage run --source=heat_dashboard \
		$(CURDIR)/manage.py test heat_dashboard.test.tests --settings=heat_dashboard.test.settings
endif

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

	# Activates the heat_dashboard plugin in Horizon - Python 3
	mkdir -p $(CURDIR)/debian/python3-heat-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \
	cp $(CURDIR)/heat_dashboard/enabled/_16*.py $(CURDIR)/debian/python3-heat-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \

	# Install common files - Python 3
	mkdir -p $(CURDIR)/debian/heat-dashboard-common/usr/lib/python3/dist-packages/openstack_dashboard/local/local_settings.d
	cp $(CURDIR)/heat_dashboard/local_settings.d/_16*.py $(CURDIR)/debian/heat-dashboard-common/usr/lib/python3/dist-packages/openstack_dashboard/local/local_settings.d
	mkdir -p $(CURDIR)/debian/heat-dashboard-common/usr/lib/python3/dist-packages/openstack_dashboard/conf
	cp $(CURDIR)/heat_dashboard/conf/* $(CURDIR)/debian/heat-dashboard-common/usr/lib/python3/dist-packages/openstack_dashboard/conf

	# Install xstatic dependencies
	cp -r xstatic $(CURDIR)/debian/python3-heat-dashboard/usr/lib/python3/dist-packages/heat_dashboard

refresh-xstatic:
	bash debian/bundle-xstatic.sh $(DEB_UPSTREAM_VERSION)

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/heat-dashboard/ heat-dashboard-(3\.\d.*)\.tar\.gz

## heat-dashboard 4.0.0

=== debian/changelog ===
heat-dashboard (4.0.0-2) unstable; urgency=medium

  * Ship enable files in
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled.
  * Add a warning in the Heat template generator that the tool isn't compatible
    with Chrome based browsers.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Jun 2021 11:58:09 +0200

heat-dashboard (4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 17:48:26 +0200

heat-dashboard (4.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed fix-unit-tests.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Sep 2020 11:41:42 +0200

heat-dashboard (3.0.0-1) unstable; urgency=medium

  * Fixed Homepage URL.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 16:44:30 +0200

heat-dashboard (3.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 12:13:19 +0200

heat-dashboard (3.0.0~rc1-1) experimental; urgency=medium

  [ Michal Arbet ]
  * d/patches:
    - Add fix-unit-tests.patch
    - Remove remove-unreliable-test.patch
  * d/control:
    - Bump openstack-dashboard to 18.3.1
    - Remove python3-mock build dependency
  * d/rules: Fix execution of tests as tox do
  * d/copyright: Fix year for debian/*

  [ Thomas Goirand ]
  * Move the package to the horizon-plugins Salsa group.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Deactivate remove-unreliable-test.patch.

 -- Michal Arbet <michal.arbet@ultimum.io>  Sat, 25 Apr 2020 13:19:34 +0200

=== debian/control ===
Source: heat-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 109~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 nodeenv,
 openstack-dashboard (>= 3:18.3.1),
 python3-heatclient,
 python3-openstack.nose-plugin,
 python3-selenium,
 python3-testtools,
 python3-xstatic-angular-uuid,
 python3-xstatic-angular-vis,
 python3-xstatic-filesaver,
 python3-xstatic-js-yaml,
 python3-xstatic-json2yaml,
 python3-xvfbwrapper,
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/heat-dashboard
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/heat-dashboard.git
Homepage: https://opendev.org/openstack/heat-dashboard

Package: python3-heat-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:18.3.1),
 python3-heatclient,
 python3-pbr,
 python3-xstatic-angular-uuid,
 python3-xstatic-angular-vis,
 python3-xstatic-filesaver,
 python3-xstatic-js-yaml,
 python3-xstatic-json2yaml,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-django-horizon (<< 3:18.6.2-4~),
Description: OpenStack orchestration service - dashboard plugin
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Move config files to standard location
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy

	# Copy policy file to openstack-dashboard policy location
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/heat_dashboard/conf/heat_policy.json $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy/heat_policy.json

	# Copy config enabled to openstack-dashboard enabled location
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/heat_dashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled

	# Copy local_settings.d to openstack-dashboard local_settings.d location
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/heat_dashboard/local_settings.d/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d/

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
			NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			python$$i $(CURDIR)/manage.py test heat_dashboard.test -v 2 --settings=heat_dashboard.test.settings --exclude-tag integration ; \
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

## heat-dashboard 4.1.0

=== debian/changelog ===
heat-dashboard (4.1.0-0ubuntu1) hirsute; urgency=medium

  * d/watch: Fix tarball path.
  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Mar 2021 14:46:01 -0400

heat-dashboard (4.0.0+git2021012814.934c8e1-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Jan 2021 14:21:30 -0500

heat-dashboard (4.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 07:52:11 -0400

heat-dashboard (4.0.0~rc1-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Scope to 4.x series.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 12:09:34 -0400

heat-dashboard (3.1.0~git2020091515.7d4ef20-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Sep 2020 15:28:37 -0400

heat-dashboard (3.1.0~git2020070215.e1e9fc8-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.5.0.
  * d/p/skip-failing-tests.patch: Rebased.
  * d/p/embedded-xstatic.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jul 2020 15:42:08 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/heat-dashboard/ heat-dashboard-(4\.\d.*)\.tar\.gz

## heat-dashboard 5.0.0

=== debian/changelog ===
heat-dashboard (5.0.0-0ubuntu2) hirsute; urgency=medium

  * d/rules: Ensure default_policies directory exists (LP: #1925501).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 22 Apr 2021 08:56:16 -0400

heat-dashboard (5.0.0-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 5.x series.
  * New upstream release for OpenStack Wallaby.
  * d/rules: Install heat_dashboard/conf/default_policies/heat.yaml.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Apr 2021 15:25:02 -0400

## heat-dashboard 5.0.1

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.

=== debian/changelog ===
heat-dashboard (5.0.1-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * d/gbp.conf: Create stable/wallaby branch.
  * New stable point release for OpenStack Wallaby (LP: #1998824).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 05 Dec 2022 12:29:18 -0500

heat-dashboard (5.0.0-0ubuntu2~cloud1) focal-wallaby; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 23 Apr 2021 13:09:29 +0000

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=heat-dashboard

export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) \
		INTEGRATION_TESTS=0 \
		NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		DJANGO_SETTINGS_MODULE=heat_dashboard.test.settings \
		python3-coverage run --source=heat_dashboard \
		$(CURDIR)/manage.py test heat_dashboard.test.tests --settings=heat_dashboard.test.settings
endif

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

	# Activates the heat_dashboard plugin in Horizon - Python 3
	mkdir -p $(CURDIR)/debian/python3-heat-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \
	cp $(CURDIR)/heat_dashboard/enabled/_16*.py $(CURDIR)/debian/python3-heat-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \

	# Install common files - Python 3
	mkdir -p $(CURDIR)/debian/heat-dashboard-common/usr/lib/python3/dist-packages/openstack_dashboard/local/local_settings.d
	cp $(CURDIR)/heat_dashboard/local_settings.d/_16*.py $(CURDIR)/debian/heat-dashboard-common/usr/lib/python3/dist-packages/openstack_dashboard/local/local_settings.d
	mkdir -p $(CURDIR)/debian/heat-dashboard-common/usr/lib/python3/dist-packages/openstack_dashboard/conf/default_policies
	cp $(CURDIR)/heat_dashboard/conf/*.yaml $(CURDIR)/debian/heat-dashboard-common/usr/lib/python3/dist-packages/openstack_dashboard/conf
	cp $(CURDIR)/heat_dashboard/conf/default_policies/*.yaml $(CURDIR)/debian/heat-dashboard-common/usr/lib/python3/dist-packages/openstack_dashboard/conf/default_policies

	# Install xstatic dependencies
	cp -r xstatic $(CURDIR)/debian/python3-heat-dashboard/usr/lib/python3/dist-packages/heat_dashboard

refresh-xstatic:
	bash debian/bundle-xstatic.sh $(DEB_UPSTREAM_VERSION)

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/heat-dashboard/ heat-dashboard-(5\.\d.*)\.tar\.gz

## heat-dashboard 6.0.0

=== debian/changelog ===
heat-dashboard (6.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 6.x.
  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 07 Oct 2021 11:46:54 +0000

heat-dashboard (5.0.0+git2021091608.1f52db0-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 16 Sep 2021 08:28:23 -0400

heat-dashboard (5.0.0+git2021062815.1fbbf77-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 28 Jun 2021 15:57:53 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/heat-dashboard/ heat-dashboard-(6\.\d.*)\.tar\.gz

## heat-dashboard 6.0.1

=== debian/changelog ===
heat-dashboard (6.0.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Mon, 28 Jul 2025 08:15:00 +0000

heat-dashboard (6.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:26:25 +0200

heat-dashboard (6.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:48:23 +0200

heat-dashboard (6.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * (Build-)depends on minimum horizon >= 20.0.0+git2020.09.21.27036cc0eb.
  * Add django-3.2-fix-getting-location-header.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Sep 2021 14:18:34 +0200

heat-dashboard (5.0.0-4) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 16:13:17 +0200

heat-dashboard (5.0.0-3) experimental; urgency=medium

  * Add rm_conffile to remove old files in /etc/openstack-dashboard/enable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 May 2021 11:39:40 +0200

heat-dashboard (5.0.0-2) experimental; urgency=medium

  * Package the enable folder in
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled.
  * Add Breaks: python3-django-horizon (<< 3:19.2.0-2~).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 May 2021 16:26:45 +0200

heat-dashboard (5.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Apr 2021 22:49:19 +0200

heat-dashboard (5.0.0~rc1-1) experimental; urgency=medium

  * New usptream release.
  * Do not copy heat_policy.json.

 -- Thomas Goirand <zigo@debian.org>  Sat, 27 Mar 2021 21:37:04 +0100

heat-dashboard (4.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Mar 2021 22:09:12 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-sphinx,
 Build-Depends-Indep:
  nodeenv,
- openstack-dashboard (>= 3:18.3.1),
+ openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
  python3-heatclient,
  python3-openstack.nose-plugin,
  python3-selenium,
@@ -26,6 +26,8 @@
  python3-xstatic-js-yaml,
  python3-xstatic-json2yaml,
  python3-xvfbwrapper,
+Breaks:
+ python3-django-horizon (<< 3:19.2.0-2~),
 Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/heat-dashboard
 Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/heat-dashboard.git
@@ -34,7 +36,7 @@
 Package: python3-heat-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:18.3.1),
+ openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
  python3-heatclient,
  python3-pbr,
  python3-xstatic-angular-uuid,
@@ -44,8 +46,6 @@
  python3-xstatic-json2yaml,
  ${misc:Depends},
  ${python3:Depends},
-Breaks:
- python3-django-horizon (<< 3:18.6.2-4~),
 Description: OpenStack orchestration service - dashboard plugin
  Heat is a service to orchestrate multiple composite cloud applications using
  templates, through both an OpenStack-native ReST API and a

## heat-dashboard 7.0.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=2.2.1 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
reno>=3.1.0 # Apache-2.0
sphinxcontrib-httpdomain>=1.3.0 # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
heat-dashboard (7.0.0-0ubuntu3) jammy; urgency=medium

  * d/p/skip-test-failures.patch: Renamed. Affects all py3 versions.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 01 Apr 2022 08:19:06 -0400

heat-dashboard (7.0.0-0ubuntu2) jammy; urgency=medium

  * d/p/skip-py310-test-failures.patch: Skip failing py310 tests
    until fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Mar 2022 11:28:51 -0400

heat-dashboard (7.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 7.x.
  * New upstream release for OpenStack Yoga.
  * Refresh xstatic assets.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Mar 2022 09:48:33 -0400

heat-dashboard (6.0.0+git2022030311.7729b75-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/bundle-xstatic.sh: Drop --system as it is no longer a flag on new
    pip3 releases, and is the default method.
  * Refresh xstatic assets.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 11:31:02 -0500

heat-dashboard (6.0.0+git2022012813.458e9b0-0ubuntu1) jammy; urgency=medium

  * d/rules: Update PBR_VERSION to handle git versioning (LP: #1959402).
  * d/bundle-xstatic.sh: Ensure xstatic asset versions are confined by the
    corresponding upper-constraints branch.
  * d/bundle-xstatic.sh, d/README.source: Unpack xstatic assets into ./xstatic/
    directory of source package as part of the bundle.xstatic.sh script. This
    will allow for patching xstatic assets in the future.
  * New upstream snapshot for OpenStack Yoga.
  * Refresh xstatic assets.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 28 Jan 2022 13:23:46 -0500

heat-dashboard (6.0.0+git2021120911.458e9b0-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/bundle-xstatic.sh: Place xstatic orig tarball in ../build-area now
    that git-buildpackage supports multiple orig tarballs.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 11:27:46 -0500

## heat-dashboard 7.0.1

=== debian/changelog ===
heat-dashboard (7.0.1-0ubuntu1~cloud0) focal-yoga; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sat, 14 Oct 2023 06:29:29 +0000

heat-dashboard (7.0.1-0ubuntu1) jammy; urgency=medium

  * d/gbp.conf: Create stable/yoga branch.
  * New stable point release for OpenStack Yoga (LP: #2037332).
  * d/p/skip-test-failures.patch, d/p/skip-py310-test-failures.patch:
    Dropped. Fixed in stable point release.
  * d/p/embedded-xstatic.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 25 Sep 2023 17:22:11 -0400

=== debian/control ===
Source: heat-dashboard
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders:
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 openstack-dashboard (>= 4:18.6.0~),
 python3-coverage (>= 4.0),
 python3-django (>= 2:2.2),
 python3-django-horizon (>= 4:18.6.0~),
 python3-django-nose (>= 1.4.4),
 python3-doc8 (>= 0.6.0),
 python3-hacking (>= 1.1.0),
 python3-heatclient (>= 1.17.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-nose (>= 1.3.7),
 python3-nose-exclude (>= 0.3.0),
 python3-nosehtmloutput (>= 0.0.3),
 python3-nosexcover (>= 1.0.10),
 python3-openstack.nose-plugin (>= 0.7),
 python3-openstackdocstheme (>= 2.2.1),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-testtools (>= 2.2.0),
 python3-xvfbwrapper (>= 0.1.3),
 subunit,
 testrepository,
Standards-Version: 4.5.0
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/heat-dashboard
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/heat-dashboard
Homepage: https://github.com/stackforge/heat-dashboard
Testsuite: autopkgtest-pkg-python

Package: python3-heat-dashboard
Architecture: all
Depends:
 heat-dashboard-common (= ${source:Version}),
 openstack-dashboard (>= 4:18.6.0~),
 python3-django (>= 2:2.2),
 python3-django-horizon (>= 4:18.6.0~),
 python3-heatclient (>= 1.17.0),
 python3-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 openstack-dashboard (<< 3:13.0.0-0ubuntu1~),
Replaces:
 openstack-dashboard (<< 3:13.0.0-0ubuntu1~),
Description: OpenStack orchestration service - Python 3 dashboard plugin
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python 3 OpenStack dashboard plugin.

Package: heat-dashboard-common
Architecture: all
Depends:
 ${misc:Depends},
Breaks:
 python-heat-dashboard (<< 1.2.0-0ubuntu3~),
 python3-heat-dashboard (<< 1.2.0-0ubuntu3~),
Replaces:
 python-heat-dashboard (<< 1.2.0-0ubuntu3~),
 python3-heat-dashboard (<< 1.2.0-0ubuntu3~),
Description: OpenStack orchestration service - Common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains common files.

## heat-dashboard 8.0.0

=== requirements.txt ===
--- 
+++ 
@@ -11,12 +11,12 @@
 # be installed in a specific order.
 #
 # PBR should always appear first
-pbr!=2.1.0,>=2.0.0 # Apache-2.0
+pbr>=5.5.0 # Apache-2.0
 python-heatclient>=1.10.0 # Apache-2.0
 
 # This will be installed from git in OpenStack CI if the job setting
 # required-projects for horizon:
-horizon>=18.3.1 # Apache-2.0
+horizon>=22.0.0 # Apache-2.0
 
 xstatic-angular-uuid>=0.0.4.0 # MIT
 xstatic-angular-vis>=4.16.0.0 # MIT

=== debian/changelog ===
heat-dashboard (8.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2022 09:28:49 +0200

heat-dashboard (8.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 18:21:41 +0200

heat-dashboard (8.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed patches applied upstream:
    - Fixed_Unit_test_for_Heat-dashboard.patch
    - django-4-django.conf.urls.url-is-removed.patch
    - django-4-django.utils.urlunquote-is-removed.patch
    - django-4-ugettext_lazy-is-removed.patch

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Sep 2022 17:10:49 +0200

heat-dashboard (7.0.0-2) unstable; urgency=medium

  * Add Django 4 support patches (Closes: #1015050):
    - django-4-ugettext_lazy-is-removed.patch
    - django-4-django.conf.urls.url-is-removed.patch
    - django-4-django.utils.urlunquote-is-removed.patch
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Jul 2022 22:57:38 +0200

heat-dashboard (7.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Add Fixed_Unit_test_for_Heat-dashboard.patch.
  * Fixed (build-)depends for the above patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 21:15:15 +0200

heat-dashboard (7.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Mar 2022 13:40:28 +0200

heat-dashboard (7.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed django-3.2-fix-getting-location-header.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Mar 2022 11:34:35 +0100

=== debian/control ===
Source: heat-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 109~),
 python3-all,
 python3-pbr (>= 5.8.1),
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 nodeenv,
 openstack-dashboard (>= 3:22.1.0),
 python3-heatclient (>= 2.5.1),
 python3-openstack.nose-plugin,
 python3-selenium,
 python3-testtools (>= 2.5.0),
 python3-xstatic-angular-uuid,
 python3-xstatic-angular-vis,
 python3-xstatic-filesaver,
 python3-xstatic-js-yaml,
 python3-xstatic-json2yaml,
 python3-xvfbwrapper,
Breaks:
 python3-django-horizon (<< 3:19.2.0-2~),
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/heat-dashboard
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/heat-dashboard.git
Homepage: https://opendev.org/openstack/heat-dashboard

Package: python3-heat-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:22.1.0),
 python3-heatclient (>= 2.5.1),
 python3-pbr (>= 5.8.1),
 python3-xstatic-angular-uuid,
 python3-xstatic-angular-vis,
 python3-xstatic-filesaver,
 python3-xstatic-js-yaml,
 python3-xstatic-json2yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack orchestration service - dashboard plugin
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Move config files to standard location
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy

	# Copy policy file to openstack-dashboard policy location
#	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/heat_dashboard/conf/heat_policy.json $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy/heat_policy.json

	# Copy config enabled to openstack-dashboard enabled location
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/heat_dashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled

	# Copy local_settings.d to openstack-dashboard local_settings.d location
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/heat_dashboard/local_settings.d/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d/

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
			NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			python$$i $(CURDIR)/manage.py test heat_dashboard.test -v 2 --settings=heat_dashboard.test.settings --exclude-tag integration ; \
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif
